# Makefile generated by build.

# C complier
CC=cgcc

# Install directory for binarys
BINDIR=/usr/bin

# Install directory for manual
MANDIR=/usr/man/man1

# compiler options:
# options is a collection of:
#
#	-DAMIGA=1					Amiga support.
#	-DNOFUNCDEF=1				Disable libary function definitions in
#								compress42.c
#	-DDIRENT=1					Use dirent.h
#	-DSYSDIR=1					Use sys/dir.h
#	-DLSTAT=1					Use lstat for finding symlinks.
#	-DUTIME_H=1					Use utime.h
#	-DUSERMEM=<size>			Availble memory for compress (default 800k).
#	-DREGISTERS=<nbr>			Number of registers (default 2).
#	-DIBUFSIZ=<size>			Input buffer size (default BUFSIZ).
#	-DOBUFSIZ=<size>			Output buffer size (default BUFSIZ)
#	-DBYTEORDER=<order>			Byte order (default: unknown).
#	-DNOALLIGN=1				Data word allignment (default: yes).
#	-DDEF_ERRNO=1				Define error (not defined in errno.h).
#	-DMAXSEG_64K=1 -BITS=16		Support segment processsor like 80286.
#
options= -DBYTEORDER=1234 -DDIRENT=1 -DLSTAT=1 -DREGISTERS=12 -DIBUFSIZ=16384 \
-DOBUFSIZ=16384 -DNOFUNCDEF=1 -DUTIME_H=1

# libary options
LBOPT=


compress:	Makefile compress42.c patchlevel.h
	$(CC) -O2 -fomit-frame-pointer -fstrength-reduce $(options) -o ncompres.ttp  compress42.c 

install:	compress
		[ -f $(BINDIR)/compress ] && \
			{ rm -f $(BINDIR)/compress.old ; \
	  		mv $(BINDIR)/compress $(BINDIR)/compress.old ; }
		rm -f $(BINDIR)/uncompress $(BINDIR)/zcat
		cp compress $(BINDIR)/compress
		strip $(BINDIR)/compress
		rm -f $(BINDIR)/uncompress
		ln $(BINDIR)/compress $(BINDIR)/uncompress
		rm -f $(BINDIR)/zcat
		ln -f $(BINDIR)/compress $(BINDIR)/zcat
		cp zcmp zdiff zmore $(BINDIR)/.
		chmod 0755 $(BINDIR)/compress $(BINDIR)/zcmp $(BINDIR)/zdiff $(BINDIR)/zmore
		cp compress.1 zcmp.1 zmore.1 $(MANDIR)/.
		chmod 0644 $(MANDIR)/compress.1 $(MANDIR)/zcmp.1 $(MANDIR)/zmore.1

cleanup:
		rm -f compress compress.def comp.log
